Subject: [Idr] fwd: About loop avoidance when using BGP best external

From: Xu Xiaohu <[email-masked]>
Date: Thu, 14 Apr 2011 18:05:04 +0800

Hi all,

Sorry, I mistakenly sent this email to L2VPN. It should be here.

Best wishes,
Xiaohu

-----邮件原件-----
发件人: Xu Xiaohu [mailto:[email-masked]] 
发送时间: 2011年4月8日 12:20
收件人: [email-masked]'
抄送: [email-masked]'
主题: About loop avoidance when using BGP best external

-----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of 
> Robert Raszuk
> Sent: Sunday, April 03, 2011 2:26 AM
> To: Jakob Heitz
> Cc: idr
> Subject: Re: [Idr] draft-bashandy-idr-bgp-repair-label-01: when does 
> PE revert back to standard label?
> 
> Hi Jakob,
> 
> > I think the draft needs to state that a received native IP packet is 
> > NEVER sent using the repair label. Specifically, if the IP path to 
> > the CE is broken, a packet received as a native IP packet shoul be 
> > sent to the PE next hop using the regular label, not the repair 
> > label. The repair label should only be used for packets received 
> > from MPLS.
> 
> The draft already states this:
> 
>     In a BGP free core, where traffic is tunneled between edge routers
>     and edge routers assign labels to prefixes, BGP speakers advertise
>     reachability information about prefixes and associate a local label
>     with each prefix such as L3VPN [9], 6PE [10], and Softwire [8].
> 
> But thinking further I do not see perhaps anything wrong on attaching 
> this attribute to unicast IPv4 and IPv6 AFIs where ASBRs and network 
> between them are MPLS enabled.
> 
> In fact if we would explicitly permit this in 
> draft-bashandy-idr-bgp-repair-label it will automatically address the 
> problem as described in draft-xu-idr-best-external-loop-avoidance.

Hi Robert,

Sorry that I just notice this email mentioning my draft
(draft-xu-idr-best-external-loop-avoidance).

IMO, the repair-label draft (draft-bashandy-idr-bgp-repair-label) and my
draft have many differences as listed below (here I just refer the L3VPN CE
multi-homing scenario):

1. Different target scenarios:
The repair-label draft targets the scenario where the best route for the
local CE site on each multi-homing PE router is pointed to the CE router,
while my draft targets the scenario of best external.  

2. Different achievements:
The repair-label draft only solves the problem of transient loop in case the
CE router is down (anyway, the CE destination is unreachable at this time).
While my draft not only solves the transient loop problem, but also speeds
up the convergence in case the best external route is still available. 

3. Different approaches:
The repair-label draft requires some changes to the BGP protocol while my
draft doesn’t require any change to the BGP protocol.
　　
Best wishes,
Xiaohu
　　
> Thx,
> R.
> 
> 
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr